package com.ruoyi.project.sems.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.sems.domain.TReportYlrq;

/**
 * 压力容器年检报告Service接口
 *
 * @author ruoyi
 * @date 2021-09-02
 */
public interface ITReportYlrqService extends IService<TReportYlrq> {
    /**
     * 插入需要新增的压力管道年检报告
     *
     * @return
     */
    public int insertByTSpecdevYlrq();

    /**
     * 更新已存在的压力管道年检报告
     *
     * @return
     */
    public int updateByTSpecdevYlrq();

    public int deleteTReportYlrqByIds();

    /**
     * 根据excel导入的数据进行数据更新操作
     * 根据 位号、使用证、注册编号 3个条件去更新
     * @param tReportYlrq excel中获取的数据
     * @return
     */
    public int updateForImport(TReportYlrq tReportYlrq);

    /**
     * 查询压力容器年检报告
     *
     * @param id 压力容器年检报告ID
     * @return 压力容器年检报告
     */
    public TReportYlrq selectTReportYlrqById(Long id);

    /**
     * 查询压力容器年检报告列表
     *
     * @param tReportYlrq 压力容器年检报告
     * @return 压力容器年检报告集合
     */
    public List<TReportYlrq> selectTReportYlrqList(TReportYlrq tReportYlrq);

    /**
     * 新增压力容器年检报告
     *
     * @param tReportYlrq 压力容器年检报告
     * @return 结果
     */
    public int insertTReportYlrq(TReportYlrq tReportYlrq);

    /**
     * 修改压力容器年检报告
     *
     * @param tReportYlrq 压力容器年检报告
     * @return 结果
     */
    public int updateTReportYlrq(TReportYlrq tReportYlrq);

    /**
     * 批量删除压力容器年检报告
     *
     * @param ids 需要删除的压力容器年检报告ID
     * @return 结果
     */
    public int deleteTReportYlrqByIds(Long[] ids);

    /**
     * 删除压力容器年检报告信息
     *
     * @param id 压力容器年检报告ID
     * @return 结果
     */
    public int deleteTReportYlrqById(Long id);
}
